Issues
Every endpoint on this page requires issues:read.
GET /v1/issues
Section titled “GET /v1/issues”Returns a paged issue collection.
Query parameters
Section titled “Query parameters”| Parameter | Type | Notes |
|---|---|---|
assignee_user_account_id | string, repeatable | Filter by assignee |
cursor | string | Optional cursor |
delivery_id | string, repeatable | Filter by delivery |
include_no_delivery | boolean | Include issues with no delivery |
include_no_project | boolean | Include issues with no project |
include_unassigned | boolean | Include issues with no assignee |
label_id | string, repeatable | Filter by label |
page_size | integer | Optional page size |
priority | string, repeatable | Priority name or numeric code |
project_id | string, repeatable | Filter by project |
sort | string | created, created_utc, updated, updated_utc, priority, or title |
direction | string | asc, ascending, desc, or descending |
status_id | string, repeatable | Filter by status |
team_code | string | Optional team-code filter |
team_id | string, repeatable | Optional team-id filter |
Example
Section titled “Example”curl "$API_BASE_URL/v1/issues?team_code=PLAT&status_id=iss-status_open&priority=2&sort=updated&direction=desc" \ -H "Authorization: Bearer $ACCESS_TOKEN"Response 200 OK:
{ "results": [ { "id": "issue_plat_142", "key": "PLAT-142", "teamId": "team_platform", "teamCode": "PLAT", "number": 142, "title": "Document every public API endpoint", "description": "Create a complete docs experience for the public API.", "reporterUserAccountId": "usr_01EXAMPLE", "reporterDisplayName": "Alex Morgan", "reporterAvatarUrl": "https://cdn.example.com/avatars/alex.png", "statusId": "iss-status_open", "priority": 2, "primaryAssigneeUserAccountId": "usr_01SAM", "projectId": "proj_docs", "deliveryId": "del_sprint_18", "parentIssueId": null, "assigneeUserAccountIds": [ "usr_01SAM" ], "labelIds": [ "label_docs" ], "status": { "statusId": "iss-status_open", "id": "iss-status_open", "name": "Open", "description": "Ready for work.", "color": "#2563eb", "category": "open", "position": 1, "isInitial": true, "isTerminal": false }, "project": { "projectId": "proj_docs", "id": "proj_docs", "teamId": "team_platform", "name": "Public API Docs", "key": "DOCS", "iconCss": "fa-regular fa-book-open", "color": "#0f766e" }, "delivery": { "deliveryId": "del_sprint_18", "teamId": "team_platform", "number": 18, "name": "Sprint 18", "description": "API launch sprint.", "startsOn": "2025-02-17", "endsOn": "2025-02-28", "state": "active", "issueCount": 24, "closedIssueCount": 11, "estimatedScope": 56, "closedEstimate": 21, "isCurrent": true, "isUpcoming": false }, "assignees": [ { "userAccountId": "usr_01SAM", "displayName": "Sam Patel", "avatarUrl": "https://cdn.example.com/avatars/sam.png", "principalKind": 0 } ], "roleAssignments": [], "labels": [ { "labelId": "label_docs", "id": "label_docs", "isGroup": false, "name": "documentation", "description": "Documentation work", "color": "#8b5cf6", "teamId": "team_platform", "groupId": "label-group_area", "groupName": "Area" } ], "commentCount": 3, "subIssueCount": 2, "linkCount": 1, "estimateValue": 3, "dueDate": "2025-03-05", "createdUtc": "2025-02-20T10:30:00Z", "updatedUtc": "2025-02-24T16:45:00Z", "lastActivityUtc": "2025-02-24T16:45:00Z", "lastCommentUtc": "2025-02-24T15:04:05Z", "closedUtc": null } ], "pagination": { "pageSize": 100, "cursor": "", "nextCursor": "", "hasMore": false, "returnedCount": 1, "totalCount": 1 }}GET /v1/issues/{issueKey}
Section titled “GET /v1/issues/{issueKey}”Returns one issue by issue key.
curl "$API_BASE_URL/v1/issues/PLAT-142" \ -H "Authorization: Bearer $ACCESS_TOKEN"Response 200 OK:
{ "id": "issue_plat_142", "key": "PLAT-142", "title": "Document every public API endpoint", "description": "Create a complete docs experience for the public API.", "teamId": "team_platform", "teamCode": "PLAT", "teamName": "Platform", "teamIconCss": "fa-solid fa-layer-group", "teamColor": "#2563eb", "reporterUserAccountId": "usr_01EXAMPLE", "reporterDisplayName": "Alex Morgan", "reporterAvatarUrl": "https://cdn.example.com/avatars/alex.png", "parentIssueId": null, "statusId": "iss-status_open", "priority": 2, "primaryAssigneeUserAccountId": "usr_01SAM", "projectId": "proj_docs", "deliveryId": "del_sprint_18", "assigneeUserAccountIds": [ "usr_01SAM" ], "labelIds": [ "label_docs" ], "status": { "statusId": "iss-status_open", "id": "iss-status_open", "name": "Open", "description": "Ready for work.", "color": "#2563eb", "category": "open", "position": 1, "isInitial": true, "isTerminal": false }, "project": { "projectId": "proj_docs", "id": "proj_docs", "teamId": "team_platform", "name": "Public API Docs", "key": "DOCS", "iconCss": "fa-regular fa-book-open", "color": "#0f766e" }, "delivery": { "deliveryId": "del_sprint_18", "teamId": "team_platform", "number": 18, "name": "Sprint 18", "description": "API launch sprint.", "startsOn": "2025-02-17", "endsOn": "2025-02-28", "state": "active", "issueCount": 24, "closedIssueCount": 11, "estimatedScope": 56, "closedEstimate": 21, "isCurrent": true, "isUpcoming": false }, "assignees": [ { "userAccountId": "usr_01SAM", "displayName": "Sam Patel", "avatarUrl": "https://cdn.example.com/avatars/sam.png", "principalKind": 0 } ], "roleAssignments": [], "labels": [ { "labelId": "label_docs", "id": "label_docs", "isGroup": false, "name": "documentation", "description": "Documentation work", "color": "#8b5cf6", "teamId": "team_platform", "groupId": "label-group_area", "groupName": "Area" } ], "commentCount": 3, "subIssueCount": 2, "linkCount": 1, "estimateValue": 3, "dueDate": "2025-03-05", "createdUtc": "2025-02-20T10:30:00Z", "updatedUtc": "2025-02-24T16:45:00Z", "lastActivityUtc": "2025-02-24T16:45:00Z", "lastCommentUtc": "2025-02-24T15:04:05Z", "closedUtc": null, "isSubscribed": true}- Issue detail does not inline comments, activity, attachments, links, subissues, or agent messages
- Use the related-resource pages for those endpoints